source "https://rubygems.org"

ruby ">=3.0"
#-----------------------------------------------------------------------------------------------------------------------
gem "rails", "~> 7.1.3", ">= 7.1.3.4"
gem "haml-rails", "~>2.0"        # haml-rails will also install haml
gem "sprockets-rails"            # original asset pipeline for Rails
gem "sqlite3", "~> 1.4"
gem "puma", ">= 5.0"

gem "importmap-rails"            # Use JavaScript with ESM import maps
gem "turbo-rails"                # Hotwire's SPA-like page accelerator [https://turbo.hotwired.dev]
gem "stimulus-rails"             # Hotwire's modest JavaScript framework [https://stimulus.hotwired.dev]
gem "jbuilder"                   # Build JSON APIs with ease

gem "bootsnap", require: false   # Reduces boot times through caching; required in config/boot.rb
#gem "bcrypt", "~> 3.1.7"         # for Active Model has_secure_password

gem "redis", ">= 4.0.1"          # Use Redis adapter to run Action Cable in production
#gem "kredis"                     # Use Kredis to get higher-level data types in Redis

# the following are specific to phluid (some may be in the standard library)
gem "digest"
gem "date"

# Use Active Storage variants [https://guides.rubyonrails.org/active_storage_overview.html#transforming-images]
# gem "image_processing", "~> 1.2"

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
#gem "tzinfo-data", platforms: %i[ mswin mswin64 mingw x64_mingw jruby ]

group :development, :test do
   # See https://guides.rubyonrails.org/debugging_rails_applications.html#debugging-with-the-debug-gem
   gem "debug", platforms: %i[ mri mswin mswin64 mingw x64_mingw ]
end

group :development do
   gem "web-console"          # Use console on exceptions pages [https://github.com/rails/web-console]
   #gem "rack-mini-profiler"   # Add speed badges [https://github.com/MiniProfiler/rack-mini-profiler]
   #gem "spring"               # Speed up commands on slow machines / big apps [https://github.com/rails/spring]
end

group :test do
   gem "capybara"             # Use system testing [https://guides.rubyonrails.org/testing.html#system-testing]
   gem "selenium-webdriver"
end
